zenilib: pp::Preprocessor Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | List of all members
pp::Preprocessor Class Reference

`#include <Preprocessor.h>`

## Public Member Functions

| Preprocessor (Diagnostics *diagnostics, DirectiveHandler *directiveHandler)
| ~Preprocessor ()
bool | init (size_t count, const char *const string[], const int length[])
void | lex (Token *token)
void | predefineMacro (const char *name, int value)

## Detailed Description

Definition at line 22 of file Preprocessor.h.

## Constructor & Destructor Documentation

pp::Preprocessor::Preprocessor | ( | Diagnostics * | diagnostics,
|  | DirectiveHandler * | directiveHandler
| ) |  |

Definition at line 40 of file Preprocessor.cpp.

pp::Preprocessor::~Preprocessor | ( |  | ) |

Definition at line 46 of file Preprocessor.cpp.

## Member Function Documentation

bool pp::Preprocessor::init | ( | size_t | count,
|  | const char *const | string[],
|  | const int | length[]
| ) |  |

Definition at line 51 of file Preprocessor.cpp.

References predefineMacro().

Referenced by glslang_scan().

void pp::Preprocessor::lex | ( | Token * | token | ) |

Definition at line 84 of file Preprocessor.cpp.

References assert, pp::Token::CONST_FLOAT, pp::Token::CONST_INT, pp::Diagnostics::FLOAT_OVERFLOW, pp::Token::fValue(), pp::Diagnostics::INTEGER_OVERFLOW, pp::Diagnostics::INVALID_CHARACTER, pp::Diagnostics::INVALID_NUMBER, pp::Token::iValue(), pp::Token::location, pp::Token::PP_HASH, pp::Token::PP_NUMBER, pp::Token::PP_OTHER, pp::Token::text, and pp::Token::type.

void pp::Preprocessor::predefineMacro | ( | const char * | name,
|  | int | value
| ) |  |

Definition at line 66 of file Preprocessor.cpp.

References pp::Token::CONST_INT, pp::Macro::kTypeObj, pp::Macro::name, pp::Macro::predefined, pp::Macro::replacements, pp::Token::text, pp::Macro::type, and pp::Token::type.

Referenced by glslang_scan(), and init().

The documentation for this class was generated from the following files:

- zenilib/jni/external/angle/src/compiler/preprocessor/Preprocessor.h
- zenilib/jni/external/angle/src/compiler/preprocessor/Preprocessor.cpp